  version: '3.8'
  services:
    drupal:
      image: drupal:11
      ports:
        - "5005:80"
      volumes:
        - ./web:/var/www/html
        - ./vendor:/var/www/html/vendor
        - ./composer.json:/var/www/html/composer.json
        - ./composer.lock:/var/www/html/composer.lock
      environment:
        - DRUPAL_PROFILE=standard
      depends_on:
        - db
    db:
      image: mysql:8.0
      environment:
        - MYSQL_DATABASE=drupal
        - MYSQL_USER=drupal
        - MYSQL_PASSWORD=drupal
        - MYSQL_ROOT_PASSWORD=root000
      volumes:
        - db_data:/var/lib/mysql
    phpmyadmin:
      image: phpmyadmin/phpmyadmin
      ports:
        - "8086:80"
      environment:
        - PMA_HOST=db
        - MYSQL_ROOT_PASSWORD=root000
      depends_on:
        - db
  volumes:
    db_data:
